<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title> Lab 3 </title>
    <link rel="stylesheet" href="style.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        .table {
            padding: 10px;
            margin: 50px 0 50px 0;
            font-size: 20px;
        }
    </style>
</head>

<body>


    <div class="header">
        <div class="container">
            <div class="header-item">
                <div class="header-item-logo"> <img src="logo.png" alt="logo"></div>
                <div id="top">Lab 3</div>
            </div>
        </div>
    </div>


    <div class="container">
        <div class="nav">
            <nav class="nav-menu">
                <a href="#up" title="up" class="nav-item1 nav-item"> В начало</a>
                <a href="#bottom" title="Bottom" class="nav-item2 nav-item">В конец </a>
                <a href="#form" title="Form" class="nav-item3 nav-item">Контактные данные</a>
            </nav>
        </div>
    </div>

    <div class="container">
        <div class="content">
            <ol class="list">
                <!-- 1 -->
                <li><a href="http://example.com"> Абсолютная гиперссылка на главную страницу сайта example.com;</a>
                </li>
                <br>
                <!-- 2 -->
                <li><a href="https://example.com"> Абсолютная гиперссылка на главную сайта example.com в протоколе https; </a></li>
                <br>
                <!-- 3 -->
                <li><a href=" ftp://example.com/mylife.zip" ">Cсылка на файл на сервере FTP без авторизации;</a></li>
                <br>
                <!-- 4 -->
                <li><a href="ftp://user:e123@ftp.elcat.kg"> Cсылка на файл на сервере FTP с авторизацией;</a></li>
                <br>
                <!-- 5 -->
                <li> Cсылка на фрагмент страницы некоторого сайта;
                <ol>
                <li><a
                href=“http://адрес#anchor”>Текст ссылки</a>
                </li>
                <li><a href="https://yandex.ru/images/">На сайт с картинками</a>
                </li>
                </ol>
                <br>
                <!-- 6 -->
                <li><a href="#up"> Ссылка на фрагмент текущей страницы; </a>
                </li>
                <br>
                <!-- 7 -->
                <li><a href="https://vk.com/so_badforyou?like=like&subscribe=subscribe"> Cсылкf с двумя параметрами в URL;</a>
                </li>
                <br>
                <!-- 8 -->
                <li> Cписок ссылок основной навигации сайта с подписями title;
                    <br>
                    <ol>
                        <li> <a href="#up" title="Начало страницы">В начало</a></li>
                        <li> <a href="#bottom" title="Bottom">В конец страницы</a></li>
                        <li><a href="#form" title="Form">Пройдите авторизацию</a></li>
                    </ol>
                </li>
                <br>
                <!-- 9 -->
                <li><a> Ссылка без href;</a></li>
                <br>
                <!-- 10 -->
                <li><a href=""> Ссылка с пустым href;</a></li>
                <br>
                <!-- 11 -->
                <li><a href="http://example.com/" rel="nofollow"> Cсылка, по которой запрещен переход поисковикам;</a>
                </li>
                <br>
                <!-- 12 -->
                <li>
                    <noindex>
                        <a href="http://example.com/">Запрещенная для индексации поисковиками;</a>
                    </noindex>
                </li>

                <br>
                <!-- 13 -->
                <li> Контекстная в тексте абзаца;
                    <br>
                    <p>Это <a href="http://example.com/">ссылка</a> в абзаце.</p>
                </li>
                <!-- 14 -->
                <li>
                    <a
                        href="https://www.pinterest.ru/pin/768215648913621238/">
                        <img alt=" Ссылка-изображение;">
                    </a>
                </li> <br><br>
                <!-- 15 -->
                <li>
                    <p>1)Cсылки из прямоугольной  области картинки (HTML-тег map)</p>
                    <img src="https://tesla-cdn.thron.com/delivery/public/image/tesla/46f3bad6-1066-4ba3-8f96-b5b1762af7b3/bvlatuR/std/0x0/seating-gallery-5@2" alt="машинка"
                        usemap="#rect">
                    <map name="rect">
                        <area shape="rect" coords="100,100,50,50" href="https://www.google.ru//" alt="машинка-ссылка"
                            target="_blank">
                    </map>
                    <p>2)Ссылка из круглой области картинки</p>
                    <img src="https://tesla-cdn.thron.com/delivery/public/image/tesla/46f3bad6-1066-4ba3-8f96-b5b1762af7b3/bvlatuR/std/0x0/seating-gallery-5@2" alt="Собака"
                        usemap="#circle">
                    <map name="circle">
                        <area shape="circle" coords="100,100,50" href="https://www.google.ru//" alt="машинка-ссылка"
                            target="_blank">
                    </map>
                </li>

                <br>
                <!-- 16 -->
                <li><a href="./about"> Относительная на страницу в текущем каталоге;</a></li>
                <br>
                <!-- 17 -->
                <li><a href="about/about">Относительная на страницу в каталоге about;</a></li>
                <br>
                <!-- 18 -->
                <li><a href="../about"> Относительная на страницу в каталоге уровнем выше текущего;</a></li>
                <br>
                <!-- 19 -->
                <li><a href="../../about"> Относительная на страницу в каталоге двумя уровнями выше</a></li>
                <br>
                <!-- 20 -->
                <li><a href="about"> Cокращенная на главную;</a></li>
                <br>
                <!-- 21 -->
                <li><a href="/about/about"> Сокращенная ссылка на внутреннюю;</a></li>
                <br>
            </ol>
                <!--cont -->
            <nav class="block" style="padding:10px;">
                <form action="https://www.example.com/" method="POST">
                    <h3 id="form">Контактные данные</h3>

                    <label>Имя: <br>
                        <input type="text" placeholder="Иванов Иван Иванович" name="name">
                    </label>
                    <br>
                    <br>
                    <label>E-mail: <br>
                        <input type="email" placeholder="test@example.com" name="email">
                    </label>
                    <br>
                    <br>
                    
                    <label>Введите дату рождения: <br>
                        <input type="date" max="2020-09-03" min="2000-01-01" name="date">
                    </label>
                    <br>
                    <hr>
                    <label>Введите год рождения: <br>
                        <select id="">
                             <option value="1990" name="date">1990</option>     
                             <option value="1991" name="date">1991</option>   
                             <option value="1992" name="date">1992</option>       
                             <option value="1993" name="date">1993</option>
                             <option value="1994" name="date">1994</option>
                             <option value="1995" name="date">1995</option>
                             <option value="1996" name="date">1996</option>
                             <option value="1997" name="date">1997</option>
                             <option value="1998" name="date">1998</option>
                             <option value="1999" name="date">1999</option>
                             <option value="2000" name="date">2000</option>
                             <option value="2001" name="date">2001</option>
                             <option value="2002" name="date">2002</option>
                        </select>
                    </label>
                    <br>
                    <br>
                    <label>Выберите Пол: <br>
                        <input type="radio" name="Sex" value="ж">женский
                        <input type="radio" name="Sex" value="м">мужской
                    </label>
                    <br>
                    <br>
                    <label>Выберите количество конечностей <br>
                        <input type="radio" name="kol" value="1">1
                        <input type="radio" name="kol" value="2">2
                        <input type="radio" name="kol" value="3">3
                        <input type="radio" name="kol" value="4">4
                    </label>
                    <br>
                    <br>
                    <label>Сверхспособности:<br>
                        <select multiple="multiple" name="superpowers">
                            <option value="1">Бессмертие</option>
                            <option value="2">Прохождение сковзь стены</option>
                            <option value="3">Левитация</option>
                            <option value="4">Видение будущего</option>
                            <option value="5">Невидимость</option>
                        </select>
                    </label>
                    <br>
                    <br>
                    <label>Биография: <br>
                        <textarea name="biography" id="" cols="20" rows="3" placeholder="Расскажите о себе"></textarea>
                    </label>
                    <br>
                    <br>
                    <label>С контрактом ознакомлен(а) <br>
                        <input class="right" type="checkbox" name="contract" id="">
                    </label>
                    <br>
                    <br>
                    <input type="submit" name="button" value="Отправить ">
                </form>
            </nav>
        </div>
    </div>
    <div class="footer">
        <div class="container">
            <footer id="bottom">
                <div class="footer-text">(c) Kanji </div>
            </footer>
        </div>
    </div>
    <script>
        const tablArray = document.querySelectorAll(".table td");
        for (let i = 0; i < tablArray.length; i++) {

            tablArray[i].style.background = i % 2 == 0 ? "yellow" : "hotpink";
        }

    </script>
</body>

</html>
